Developer Documentation

Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
TypePolyhedralMeshPlugin Class Reference
Inheritance diagram for TypePolyhedralMeshPlugin:

## Public Slots
QString | version ()
int | addEmpty ()
DataType | supportedType ()

## Signals
void | log (Logtype _type, QString _message)
void | log (QString _message)
void | emptyObjectAdded (int _id)
void | addContextMenuItem (QAction *, DataType, ContextMenuType)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from LoadSaveInterface
virtual void | save (int _id, QString _filename)
| Save object to a file. More...
virtual void | load (QString _filename, DataType _type, int &_id)
| Load object from file with a specific DataType. More...
Signals inherited from TypeInterface
virtual void | emptyObjectAdded (int _id)
| Emit this signal if an empty object has been created. More...
Signals inherited from KeyInterface
virtual void | registerKey (int _key, Qt::KeyboardModifiers _modifiers, QString _description, bool _multiUse=false)
| Register a key-combination for your plugin. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0
Signals inherited from ContextMenuInterface
virtual void | addContextMenuItem (QAction *_action, ContextMenuType _type)
| Add an entry for a context Menu. More...

## Public Member Functions
bool | initializeOptionsWidget (QWidget *&_widget)
| Initialize the Options Widget. More...
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...
bool | registerType ()

## Private Slots
void | noguiSupported ()
void | pluginsInitialized ()
void | slot_change_shrinkage ()
void | slotKeyEvent (QKeyEvent *_event)
void | slotObjectUpdated (int _identifier, const UpdateType &_type)
void | objectDeleted (int _identifier)
void | slot_update_planes_in_scenegraph_node (int _deletedObject=-1)
void | switchRendering ()
void | setTranslucencyFactor ()
void | applyOptions ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...
Private Slots inherited from TypeInterface
virtual int | addEmpty ()=0
| Create an empty object. More...
virtual DataType | supportedType ()=0
| Return your supported object type( e.g. DATA_TRIANGLE_MESH ) More...
virtual void | generateBackup (int _id, QString _name, UpdateType _type)
| This slot should be implemented in a TypePlugin to generate type specific backups. More...
Private Slots inherited from KeyInterface
virtual void | slotKeyEvent (QKeyEvent *_event)
| Key Event from Main App. More...

## Private Attributes
QAction * | render_switch_
QAction * | translucency_factor_action_
QWidget * | optionsWidget_
QDoubleSpinBox * | scalingFactorSpinBox_
QDoubleSpinBox * | translucencyFactorSpinBox_
QCheckBox * | renderBoundaryCheckBox_
const QString | scalingFactorSettingName_
const QString | translucencyFactorSettingName_
const QString | renderBoundarySettingName_

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from LoadSaveInterface
virtual | ~LoadSaveInterface ()
| Destructor.
virtual void | addEmptyObject (DataType _type, int &_id)
virtual void | copyObject (int _oldId, int &_newId)
virtual void | emptyObjectAdded (int _id)
| DEPRECATED HERE (Moved to Type Interface)! Emit this signal if an empty object has been created. More...
virtual void | deleteObject (int _id)
| Delete an object This signal can be called from any thread. . More...
virtual void | deleteAllObjects ()
| Delete all Objects. More...
virtual void | getAllFileFilters (QStringList &_filters)
| Get all file filters that are registered. More...
Private Member Functions inherited from TypeInterface
virtual | ~TypeInterface ()
| Destructor.
Private Member Functions inherited from KeyInterface
virtual void | slotKeyReleaseEvent (QKeyEvent *_event)
| Key Release Event from Main App. More...
virtual | ~KeyInterface ()
| Destructor.
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.
Private Member Functions inherited from ContextMenuInterface
virtual | ~ContextMenuInterface ()
| Destructor.
virtual void | addContextMenuItem (QAction *_action, DataType _objectType, ContextMenuType _type)
| Add an entry for a context Menu. More...
virtual void | hideContextMenu ()
| hide the main context menu
Private Member Functions inherited from OptionsInterface
virtual | ~OptionsInterface ()
| Destructor.
virtual void | applyOptions ()=0
| Apply changes to options. More...

## Detailed Description

Definition at line 58 of file TypePolyhedralMesh.hh.

## Member Function Documentation

## ◆ description()

QString TypePolyhedralMeshPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 118 of file TypePolyhedralMesh.hh.

## ◆ initializeOptionsWidget()

bool TypePolyhedralMeshPlugin::initializeOptionsWidget | ( | QWidget *& | _widget | ) |
| virtual

Initialize the Options Widget.

Initialize the options widget (create a widget and return a pointer to it )
Example :
_widget = new QWidget();
In the widget you can add anything you want.
use the slot applyOptions() to save the values of options currently entered in your widget.

Parameters

  _widget | Pointer to the new Widget

Returns
  Return true if a widget has been created

Implements OptionsInterface.

Definition at line 304 of file TypePolyhedralMesh.cc.

## ◆ name()

QString TypePolyhedralMeshPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 114 of file TypePolyhedralMesh.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/Plugin-TypePolyhedralMesh/TypePolyhedralMesh.hh
- Type-OpenVolumeMesh/Plugin-TypePolyhedralMesh/TypePolyhedralMesh.cc